summaryrefslogtreecommitdiff
path: root/dev-python/python-xmlsec
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-31 06:32:21 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-31 06:32:21 +0000
commit44549bdfcc06a4ca8a8d1605f255d430e821b1c4 (patch)
tree264d464224d4d9d70aa819e3eaf4f798ad43c3c3 /dev-python/python-xmlsec
parent48af4a5806bf545a3a227ff4f05946a195adedc9 (diff)
downloadbaldeagleos-repo-44549bdfcc06a4ca8a8d1605f255d430e821b1c4.tar.gz
baldeagleos-repo-44549bdfcc06a4ca8a8d1605f255d430e821b1c4.tar.xz
baldeagleos-repo-44549bdfcc06a4ca8a8d1605f255d430e821b1c4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-xmlsec')
-rw-r--r--dev-python/python-xmlsec/Manifest1
-rw-r--r--dev-python/python-xmlsec/python-xmlsec-1.3.9.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/python-xmlsec/Manifest b/dev-python/python-xmlsec/Manifest
index 451f1a662f16..296d3fa8ccc2 100644
--- a/dev-python/python-xmlsec/Manifest
+++ b/dev-python/python-xmlsec/Manifest
@@ -1 +1,2 @@
DIST python-xmlsec-1.3.8.tar.gz 71522 BLAKE2B d5a35a11c0664ba8ef191db1cbd57abbae2a38a404ae1474fcdc553c6a85c8c96a976c2f4b2ecdab59d9f1b26987a5feaa17851750a83d901deb3c2c47046ebf SHA512 db1a80443b0f86f84eb6256a9d67827da023b989c6b24cdfc0588b34c7a120071758ccc7b21b0b105f0a6e879a4769a325794b8db82c0c41ec12004cd7ea185c
+DIST python-xmlsec-1.3.9.tar.gz 75465 BLAKE2B 32aa8bcc2a17e1164fab6ebf37b47ad64bf8164a5d5cc5929571c32715e37d22143f996afc75c8a73a08e0a0a07d74ce1f8e405731260c1bcdb26c7ccb5faf25 SHA512 3c212c409430297a85316e0c4f7f704be112dfda323fd0300b7d70de812d90dd4681c6a5a3cc0314d1937ebc4f8e012fac7f787bccdfb2dc699d5d6f17316b38
diff --git a/dev-python/python-xmlsec/python-xmlsec-1.3.9.ebuild b/dev-python/python-xmlsec/python-xmlsec-1.3.9.ebuild
new file mode 100644
index 000000000000..a81d6f4d11f9
--- /dev/null
+++ b/dev-python/python-xmlsec/python-xmlsec-1.3.9.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the XML Security Library"
+HOMEPAGE="https://github.com/mehcode/python-xmlsec"
+SRC_URI="https://github.com/mehcode/python-xmlsec/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+DEPEND="
+ dev-libs/xmlsec:=
+"
+RDEPEND="${DEPEND}
+ dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+"
+
+# tests fail, has been reported upstream
+# https://github.com/mehcode/python-xmlsec/issues/84
+RESTRICT=test
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e "s:use_scm_version=.*:version='${PV}',:" \
+ -e "/setup_requires/ d" \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}